Loading...
Searching...
No Matches
SfmData.cpp File Reference

Data structure for dealing with Structure from Motion data. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

Rot3 | gtsam::openGLFixedRotation ()
Pose3 | gtsam::openGL2gtsam (const Rot3 &R, double tx, double ty, double tz)
| This function converts an openGL camera pose to an GTSAM camera pose.
Pose3 | gtsam::gtsam2openGL (const Rot3 &R, double tx, double ty, double tz)
| This function converts a GTSAM camera pose to an openGL camera pose.
Pose3 | gtsam::gtsam2openGL (const Pose3 &PoseGTSAM)
| This function converts a GTSAM camera pose to an openGL camera pose.
bool | gtsam::writeBAL (const std::string &filename, const SfmData &data)
| This function writes a "Bundle Adjustment in the Large" (BAL) file from a SfmData structure.
SfmData | gtsam::readBal (const std::string &filename)
| This function parses a "Bundle Adjustment in the Large" (BAL) file and returns the data as a SfmData structure.
bool | gtsam::writeBALfromValues (const std::string &filename, const SfmData &data, const Values &values)
| This function writes a "Bundle Adjustment in the Large" (BAL) file from a SfmData structure and a value structure (measurements are the same as the SfM input data, while camera poses and values are read from Values).
Values | gtsam::initialCamerasEstimate (const SfmData &db)
| This function creates initial values for cameras from db.
Values | gtsam::initialCamerasAndPointsEstimate (const SfmData &db)
| This function creates initial values for cameras and points from db.
Key | gtsam::P (std::uint64_t j)

## Detailed Description

Data structure for dealing with Structure from Motion data.

Date
  January 2022

Author
  Frank dellaert